com.amazonaws.services.simpleworkflow.model

## Class Run

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.Run

All Implemented Interfaces:
  Serializable, Cloneable

    public class Run
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Specifies the `runId` of a workflow execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Run()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Run` `clone()`
`boolean` `equals(Object obj)`
`String` `getRunId()` The `runId` of a workflow execution.
`int` `hashCode()`
`void` `setRunId(String runId)` The `runId` of a workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Run` `withRunId(String runId)` The `runId` of a workflow execution.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Run

    public Run()

### Method Detail

#### setRunId

    public void setRunId(String runId)

The `runId` of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.

Parameters:
  `runId` - The `runId` of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.

#### getRunId

    public String getRunId()

The `runId` of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.

Returns:
  The `runId` of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.

#### withRunId

    public Run withRunId(String runId)

The `runId` of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.

Parameters:
  `runId` - The `runId` of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Run clone()

Overrides:
  `clone` in class `Object`